package com.yida.data.common.core.enums.attendance;

import lombok.AllArgsConstructor;
import lombok.Getter;

/**
 * 考勤结果状态类别
 */
@Getter
@AllArgsConstructor
public enum AttendanceWifiStatusEnum {

    WORK_ON(1, "签到"),
    WORK_OFF(2, "签退"),
    REST(3, "休息不用打卡"),
    TIME_OUT(4, "不在打卡时间段内"),
    RULE_NO(5, "无打卡规则"),
    RANGE_OUT(6, "不在打卡范围内"),
    NON_MEMBER(7, "无权限，非智慧校园用户");

    private final Integer value;
    private final String name;
}
